#include "heatProblem.hpp"
#include "parameters.hpp"
#include <iostream>


int main(int argc,char* argv[]) {

  if (argc<2) {
    std::cerr << "Usage: " << argv[0] << " <paramFile>" << std::endl
              << "Please specify a parameter file." << std::endl;
    return 0;
  }

  Parameters p(argv[1]);
  HeatProblem pb(p);
  pb.run();

  return 0;



}
